org.keycloak.authentication

## Interface ConfigurableAuthenticatorFactory

- All Superinterfaces:
    ConfiguredProvider
  All Known Subinterfaces:
    AuthenticatorFactory, ClientAuthenticatorFactory, FormActionFactory, FormAuthenticatorFactory
  All Known Implementing Classes:
    AbstractClientAuthenticator, AbstractDirectGrantAuthenticator, AbstractSetRequiredActionAuthenticator, ClientIdAndSecretAuthenticator, ConditionalOtpFormAuthenticatorFactory, CookieAuthenticatorFactory, HttpBasicAuthenticator, IdpConfirmLinkAuthenticatorFactory, IdpCreateUserIfUniqueAuthenticatorFactory, IdpEmailVerificationAuthenticatorFactory, IdpReviewProfileAuthenticatorFactory, IdpUsernamePasswordFormFactory, JWTClientAuthenticator, OTPFormAuthenticatorFactory, RegistrationPage, RegistrationPassword, RegistrationProfile, RegistrationRecaptcha, RegistrationUserCreation, ResetCredentialChooseUser, ResetCredentialEmail, ResetOTP, ResetPassword, ScriptBasedAuthenticatorFactory, SpnegoAuthenticatorFactory, UsernamePasswordFormFactory, ValidateOTP, ValidatePassword, ValidateUsername

      public interface ConfigurableAuthenticatorFactory
      extends ConfiguredProvider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayType()` Friendly name for the authenticator
    `String` | `getReferenceCategory()` General authenticator type, i.e.
    `AuthenticationExecutionModel.Requirement[]` | `getRequirementChoices()` What requirement settings are allowed.
    `boolean` | `isConfigurable()` Is this authenticator configurable?
    `boolean` | `isUserSetupAllowed()` Does this authenticator have required actions that can set if the user does not have this authenticator set up?

    - ### Methods inherited from interface org.keycloak.provider.ConfiguredProvider

      `getConfigProperties, getHelpText`

- - ### Method Detail

    - #### getDisplayType

          String getDisplayType()

      Friendly name for the authenticator
      Returns:

    - #### getReferenceCategory

          String getReferenceCategory()

      General authenticator type, i.e. totp, password, cert.
      Returns:
        null if not a referencable category

    - #### isConfigurable

          boolean isConfigurable()

      Is this authenticator configurable?
      Returns:

    - #### getRequirementChoices

          AuthenticationExecutionModel.Requirement[] getRequirementChoices()

      What requirement settings are allowed.
      Returns:

    - #### isUserSetupAllowed

          boolean isUserSetupAllowed()

      Does this authenticator have required actions that can set if the user does not have this authenticator set up?
      Returns:

Copyright © 2016 JBoss by Red Hat. All rights reserved.